### Function

# Gimp Memsize serialize

#### Declaration [src]

    gchar*
    gimp_memsize_serialize (
      guint64 memsize
    )

#### Description [src]

Creates a string representation of a given memory size. This string can be parsed by `gimp_memsize_deserialize()` and can thus be used in config files. It should not be displayed to the user. If you need a nice human-readable string please use g_format_size().

Available since: | 2.2

#### Parameters

`memsize` | `guint64`
| Memory size in bytes.

#### Return value

Returns: | `gchar*`
| A newly allocated string representation of `memsize`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.